Package com.xebialabs.deployit.plugin.api.udm.base

# Class BaseDeployableFolderArtifact

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableArtifact
com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableFolderArtifact

All Implemented Interfaces:
  `Artifact`, `FolderArtifact`, `SourceArtifact`, `TranscodableSourceArtifact`, `ConfigurationItem`, `Deployable`, `DeployableArtifact`, `Taggable`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(virtual=true, description="A folder artifact that can be deployed") public class BaseDeployableFolderArtifact extends BaseDeployableArtifact implements FolderArtifact

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableArtifact

  `SCAN_PLACEHOLDERS_PROPERTY_NAME`

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `CHECKSUM_PROPERTY_NAME, FILE_URI_PROPERTY_NAME, IS_RESCANNED_PROPERTY_NAME`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `TAGS_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BaseDeployableFolderArtifact()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.xebialabs.deployit.plugin.file.FileCopyStrategy`
  `getDefaultCopyStrategy()`
  `DefaultCopyStrategyName`
  `getDefaultCopyStrategyName()`
  `String`
  `getDefaultCopyStrategyNameAsValue()`
  `List<com.xebialabs.overthere.OverthereFile>`
  `getFiles()`
  `boolean`
  `isForceArchive()`
  `void`
  `setDefaultCopyStrategy(com.xebialabs.deployit.plugin.file.FileCopyStrategy defaultCopyStrategy)`
  `void`
  `setForceArchive(boolean forceArchive)`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployableArtifact

  `getChecksum, getCredentials, getDelimiters, getExcludeFileNamesRegex, getExcludeFileNamesRegexToTranscode, getFile, getFileEncodings, getFileUri, getPlaceholders, getProxySettings, getRescanned, getTextFileNamesRegex, getTextFileNamesRegexToTranscode, isPreScannedPlaceholders, isScanPlaceholders, setChecksum, setCredentials, setDelimiters, setExcludeFileNamesRegex, setExcludeFileNamesRegexToTranscode, setFile, setPlaceholders, setPreScannedPlaceholders, setProxySettings, setRescanned, setScanPlaceholders, setTextFileNamesRegex, setTextFileNamesRegexToTranscode`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseDeployable

  `getBoundTemplates, getTags, setBoundTemplates, setTags`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.Artifact

  `getFile, setFile`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `get$directoryReference, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$validationMessages, getId, getName, getProperty, getType, hasProperty, setId, setProperty`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.artifact.SourceArtifact

  `getChecksum, getCredentials, getExcludeFileNamesRegex, getFileEncodings, getFileUri, getPlaceholders, getProxySettings, getTextFileNamesRegex, setPlaceholders`

  ### Methods inherited from interface com.xebialabs.deployit.plugin.api.udm.Taggable

  `getTags, setTags`

- ## Constructor Details

  - ### BaseDeployableFolderArtifact

    public BaseDeployableFolderArtifact()

- ## Method Details

  - ### isForceArchive

    public boolean isForceArchive()

  - ### setForceArchive

    public void setForceArchive(boolean forceArchive)

  - ### getFiles

    public List<com.xebialabs.overthere.OverthereFile> getFiles()

  - ### getDefaultCopyStrategy

    public com.xebialabs.deployit.plugin.file.FileCopyStrategy getDefaultCopyStrategy()

  - ### setDefaultCopyStrategy

    public void setDefaultCopyStrategy(com.xebialabs.deployit.plugin.file.FileCopyStrategy defaultCopyStrategy)

  - ### getDefaultCopyStrategyName

    public DefaultCopyStrategyName getDefaultCopyStrategyName()

  - ### getDefaultCopyStrategyNameAsValue

    public String getDefaultCopyStrategyNameAsValue()